ps_alignment_entry_s Struct Reference

## Data Fields

union { |
int32 wid |
struct { |
uint16 ssid |
uint16 cipid |
uint16 tmatid |
} pid |
uint16 senid |
} | id |
int16 | start
int16 | duration
int32 | score
uint16 | parent
uint16 | child

## Detailed Description

Definition at line 56 of file ps_alignment.h.

## Field Documentation

## child

uint16 ps_alignment_entry_s::child

Definition at line 70 of file ps_alignment.h.

## cipid

uint16 ps_alignment_entry_s::cipid

Definition at line 61 of file ps_alignment.h.

## duration

int16 ps_alignment_entry_s::duration

Definition at line 67 of file ps_alignment.h.

## parent

uint16 ps_alignment_entry_s::parent

Definition at line 69 of file ps_alignment.h.

## score

int32 ps_alignment_entry_s::score

Definition at line 68 of file ps_alignment.h.

## senid

uint16 ps_alignment_entry_s::senid

Definition at line 64 of file ps_alignment.h.

## ssid

uint16 ps_alignment_entry_s::ssid

Definition at line 60 of file ps_alignment.h.

## start

int16 ps_alignment_entry_s::start

Definition at line 66 of file ps_alignment.h.

## tmatid

uint16 ps_alignment_entry_s::tmatid

Definition at line 62 of file ps_alignment.h.

## wid

int32 ps_alignment_entry_s::wid

Definition at line 58 of file ps_alignment.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_alignment.h